CVE-2018-5685

NameCVE-2018-5685
DescriptionIn GraphicsMagick 1.3.27, there is an infinite loop and application hang in the ReadBMPImage function (coders/bmp.c). Remote attackers could leverage this vulnerability to cause a denial of service via an image file with a crafted bit-field mask value.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1245-1
NVD severitymedium (attack range: remote)
Debian Bugs887158

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
graphicsmagick (PTS)jessie1.3.20-3+deb8u2vulnerable
jessie (security)1.3.20-3+deb8u3vulnerable
stretch1.3.25-8vulnerable
buster, sid1.3.30-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
graphicsmagicksource(unstable)1.3.27-4medium887158
graphicsmagicksourcewheezy1.3.16-1.1+deb7u17mediumDLA-1245-1

Notes

http://hg.graphicsmagick.org/hg/GraphicsMagick/rev/52a91ddb1aa6
https://sourceforge.net/p/graphicsmagick/bugs/541/
Before 1.3.27, the problem only affects 32-bit architectures (i.e., 4-byte long) it
expanded to 64-bit architectures with upstream commit be5e89e6032d

Search for package or bug name: Reporting problems